Instalar o lamp ou o xampp no deepin

deepin
#1

Pessoal, Estou precisando de ajuda. Sou programador PHP e migrei a pouco tempo para o Deepin. Mas não estou conseguindo, instalar o xampp e nem o lamp dentro do meu linux. Alguém tem alguma sugestão de como fazer? Ou sugerem outro que rode no Deepin?

Segue o erro da instalação dos dois app:

bash: ./xampp-linux-x64-7.1.27-1-installer.run: Permissão negada
bash: ./bitnami-lampstack-7.1.27-1-linux-x64-installer.run: Permissão negada

Quando baixei o lamp veio um arquivo .run. Como posso executar isso pelo terminal?

Desde já, Muito obrigado.

1 Like

#2

Olá @moisesjr4 de permissço de execução para o pacote sudo chmod +x xampp-linux-x64-7.1.27-1-installer.run e depois execute a instalação com sudo.

Uso essa config na minha máquina com Deepin e funciona perfeitamente.

1 Like

#3

@mstange Aparece esse erro.

chmod: não foi possível acessar ‘xampp-linux-x64-7.1.27-1-installer.run’: Arquivo ou diretório não encontrado

Meu arquivo esta no downloads.

0 Likes

#4

Segue o tutorial -> How To Install Linux, Nginx, MySQL, PHP (LEMP stack) on Ubuntu 18.04 | DigitalOcean

é uma abordagem geral.

0 Likes

#5

@adios_kid Obg pelo retorno. Mas deu erro…

dpkg: erro ao processar o pacote nginx (–configure):
problemas de dependência - deixando desconfigurado
Erros foram encontrados durante o processamento de:
nginx-full
nginx
E: Sub-process /usr/bin/dpkg returned an error code (1)

0 Likes

#6

Se está na pasta downloads e aparece como não encontrado deve ter alguma coisa errada no nome do arquivo. Renomeia pra xampp e executa. Vai dar certo

0 Likes

#7

Remova o apache se estiver instalado e instale novamente.

1 Like